package sample.prog;
import sample.echo.*; // minden osztaly importalasa a csomagbol
import sample.calc.Calculator; // a Calculator osztaly beimportalasa
public class Program
{
 public static void main(String[] args)
 {
 int x = 5;
 int y = 8;
 Calculator c = new Calculator();
 int sum = c.add(x, y);
 Echo e = new Echo();
 int sumEcho = e.number(sum);
 System.out.println("sumEcho=" + sumEcho);
 }
}
/*
C:\Users\Gábor\.jdks\ms-11.0.28\bin\java.exe sample.prog.Program
sumEcho=13

C:\Users\Gábor\Desktop\prog3>C:\Users\Gábor\.jdks\ms-11.0.28\bin\jar.exe cf hello.jar sample/calc/*.class sample/echo/*.class sample/prog/*.class

C:\Users\Gábor\Desktop\prog3>C:\Users\Gábor\.jdks\ms-11.0.28\bin\java.exe -cp hello.jar sample.prog.Program
sumEcho=13

C:\Users\Gábor\Desktop\prog3>C:\Users\Gábor\.jdks\ms-11.0.28\bin\java.exe --version
*/

/*
>C:\Users\Gábor\.jdks\ms-11.0.28\bin\jar.exe cfm hello.jar MANIFEST.mf sample/calc/*.class sample/echo/*.class sample/prog/*.class

C:\Users\Gábor\Desktop\prog3>C:\Users\Gábor\.jdks\ms-11.0.28\bin\java.exe -jar hello.jar
sumEcho=13
*/